<id>
Advanced Memberview Plus SP1.3.1
</id>

<version>
3.1b
</version>

<mod info>
BHRA Webmaster's AMV Plus updated for use with SP 1.3.1 by Carsten

This is an updated version of the Advanced Memberview mod by dOCda S, which replaced the member list in the "View/Delete Members" admin area. 

This mod now includes several features designed to allow better management of your YaBB membership, including an activity log, sorting options and the option of automatically sending an email notification to selected members. 

To install:
	1...If you already have Advanced Memberview, uninstall it.
	2...If you already have Deleted Member Email, Last Login or User Posting Stats installed, you might want to uninstall these as well, as some of the functions are duplicated.
	3...Install this mod as normal
	4...Upload the modified files
	5...Goto the "Forum Preferences and Settings" admin area and press save to update Settings.pl

Changes Made:
	1...Stores time/date user was removed from online log, time/date of last post and time/date of last IM sent in users.ll file
	2...Displays new time/date information in users profile, visible to Admins and Global moderators only
	3...Displays number of days since last (online/post/im) in "View/Delete members" admin area so you can see inactive members
	4...Added sorting options to "View/Delete members" admin area (Sort by name, number of posts, date registered, user activity)
	5...Highlights "days since last..." greater than 30 and 90
	6...Added email subject and message textboxes to bottom of View/Delete members, to automatically send email to deleted users giving a reason why
	7...If email message field is left blank, no email is sent
	8...Added admin option to show/hide post dependant membergroups (made compatible with "add more membergroups")
	9...Admin option added to change the time in minutes before users are removed from the Online Log
	10...Sort option retained after deleting user
	11...Bug fixed - posts with the "notify of replies" checkbox checked were not logged
	12...Mod file altered to make instillation compatible with SP1.1
			*** New in version 3 ***
	13...Ability to personalize emails sent using [name], [username] and [password] tags to insert the relevent information
	14...Option to send email without deleting member - email can be used to send warnings / password reminders to users who haven't logged on or posted
	15...Javascript added to prevent pressing buttons twice
	16...Truncated Page Numbering, similar to the message index, with the addition of an option to display all members on a single page
	17...Reworked sort routine with option to reverse sort order by clicking the heading a second time
	18...Improved "Add More Membergroups" compatibility
	19...Bug fix to sort routine that caused an internal server error - thanks to Uwe
	20...Sort by name now uses the screen name instead of the username - thanks to Uwe
	21...View All bug fix - thanks to Dummy Proof
	22...Submit confirmation pop-up - thanks to Dummy Proof
	23...When user deletes themselves bug fixed - thanks to Dummy Proof
			*** New in version 3.1 ***
	24..."Selective" Check all box added
		- Use the inputs to determine which boxes should be checked/unchecked when you check/uncheck the "Check All" box (Only enter numbers in the text box!)
		- While checking/unchecking the "Check All" box, press the "Alt" key to check/uncheck ALL the boxes or the "Ctrl" key to check/uncheck ONLY the "Check All" box (Limited to Internet Explorer)

Notes: 
	1...Admins must set their date of registration to an actual date and time.
	2...Until members logout, post a message and send an IM, a "-" will be displayed in the "View/Delete members" area and "N/A" will be displayed in their Profile!
	3...This mod cannot display the activity of a user prior to this mod being installed!
	4...If you have Samm's Poll mod installed (version 1.2 or lower), also install the patch file provided.


I'd like to thank dOCda S and Dave B for their help, and the authors of the other mods listed below who (unknowingly) made a contribution to this mod.
-------------------------------------------------------------------------------------------------------------
Advanced Memberview in Admin Center - SP1 by dOCda S!

Homepage: http://gpu.hackers.sk/hacks/index.htm
-------------------------------------------------------------------------------------------------------------
AlphaSort SP1 by Carsten

Homepage: http://www.langaa-net.dk/forum
-------------------------------------------------------------------------------------------------------------
Deleted Member Email 1.0 by Sonic

Homepage: http://www.scotsonphones.co.uk/YaBB
-------------------------------------------------------------------------------------------------------------
Last Login Mod 1.3 by Monty Burns

Homepage: mailto:abpremier@beer.com
-------------------------------------------------------------------------------------------------------------
User Posting Stats 1.1 by MADD Hatter, Ken Ault

Homepage: http://www.GhostCDR.com
-------------------------------------------------------------------------------------------------------------
</mod info>

<author>
BHRA Webmaster
</author>

<homepage>
http://www.bhra.org.uk
</homepage>

<edit file>
Sources/InstantMessage.pl
</edit file>

<search for>
	&fatal_error("$badusers $txt{'747'}");
}
</search for>

<add after>
	if($username ne 'Guest') {&WriteLastOnline($username, "x", "x", $date);}
</add after>